import * as _ from "lodash";
import BaseMetadataRetriever from "./baseMetadataRetriever";
const QUERY = "Select Id, Name, LicenseDefinitionKey From UserLicense";
export default class UserLicenseRetriever extends BaseMetadataRetriever {
    constructor(org) {
        super(org, false);
        this.org = org;
        super.setQuery(QUERY);
    }
    static getInstance(org) {
        if (!UserLicenseRetriever.instance) {
            UserLicenseRetriever.instance = new UserLicenseRetriever(org);
        }
        return UserLicenseRetriever.instance;
    }
    async getObjects() {
        if ((this.data === undefined || this.data.length == 0) &&
            !this.dataLoaded) {
            super.setQuery(QUERY);
            this.data = await super.getObjects();
            this.dataLoaded = true;
        }
        return this.data;
    }
    async getUserLicenses() {
        return await this.getObjects();
    }
    async userLicenseExists(license) {
        let licenses = await this.getUserLicenses();
        let foundLicense = licenses.find(aLicense => {
            return aLicense.Name === license;
        });
        return !_.isNil(foundLicense);
    }
}
//# sourceMappingURL=userLicenseRetriever.js.map