import { delay } from "./delay";
import { SFPowerkit } from "../sfpowerkit";
import { LoggerLevel, SfdxError } from "@salesforce/core";
export async function checkDeploymentStatus(conn, retrievedId) {
    let metadata_result;
    while (true) {
        await conn.metadata.checkDeployStatus(retrievedId, true, function (error, result) {
            if (error) {
                throw new SfdxError(error.message);
            }
            metadata_result = result;
        });
        if (!metadata_result.done) {
            SFPowerkit.log("Polling for Deployment Status", LoggerLevel.INFO);
            await delay(5000);
        }
        else {
            break;
        }
    }
    return metadata_result;
}
//# sourceMappingURL=checkDeploymentStatus.js.map