import { SfdxError } from "@salesforce/core";
//Returns the info about a requested package
export function getPackageInfo(packageJson, packageName) {
    //Find the default package or passed package as the parameter
    const packageDirectories = packageJson.get("packageDirectories") || [];
    let packageInfo;
    if (packageName) {
        packageInfo = packageDirectories.filter(it => {
            return it["package"] === packageName;
        })[0];
        if (packageInfo == undefined) {
            throw new SfdxError("Invalid Package");
        }
    }
    else
        throw new SfdxError("Package Name is empty");
    return packageInfo;
}
//Returns the info about a requested package
export function getDefaultPackageInfo(packageJson) {
    //Find the default package or passed package as the parameter
    const packageDirectories = packageJson.get("packageDirectories") || [];
    let packageInfo;
    packageInfo = packageDirectories.filter(it => {
        return it["default"] == true;
    })[0];
    if (packageInfo == undefined) {
        throw new SfdxError("Default Package not found");
    }
    return packageInfo;
}
//# sourceMappingURL=getPackageInfo.js.map